package bahnhoefeMitCSV;

import java.io.File;

/**
 * Klasse zum Starten des Programmes
 * Kann als zum Controller-Teil gehoerige Klasse angesehen werden. 
 */
public class BahnhoefeLauncher {

	private static final String QUELLEN_INFO_CSV = "data"+File.separator+"D_Bahnhof_2020_alle.csv";
	
	private BahnhoefeModel bModel;
	private BahnhoefeController bController;
	private BahnhoefeView bView;

	public BahnhoefeLauncher()  {
		this.bModel = new BahnhoefeCSVModel();  
		this.bController = new BahnhoefeController(bModel) ;
		this.bView = new BahnhoefeView(bController);	
	}

	/**
	 * @return the quellenInfoCsv
	 */
	public static String getQuellenInfoCsv() {
		return QUELLEN_INFO_CSV;
	}

	
	public static void main( String[] args )  {
		new BahnhoefeLauncher();
	}

}
